com.gary.msr.proto

## Class MSRLayerParams.MSRLayer1Params

- java.lang.Object
- - com.gary.msr.proto.MSRLayerParams.MSRLayer1Params

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    MSRLayerParams

      public static class MSRLayerParams.MSRLayer1Params
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `beepFlag`
    `int` | `card1`
    `int` | `card2`
    `int` | `card3`
    `char` | `ch1es`
    `char` | `ch1ss`
    `char` | `ch2es`
    `char` | `ch2ss`
    `char` | `ch3es`
    `char` | `ch3ss`
    `boolean` | `chard1EnterFlag`
    `boolean` | `chard2EnterFlag`
    `boolean` | `chard3EnterFlag`
    `boolean` | `checkFormatFlag`
    `boolean` | `ibmFlag`
    `char` | `iButtones`
    `boolean` | `iButtonOffBeepFlag`
    `int` | `iButtonOffOffsetLen`
    `int` | `iButtonOffOffsetStart`
    `int` | `iButtonOffOffsetType`
    `boolean` | `iButtonOnBeepFlag`
    `int` | `iButtonOnOffsetLen`
    `int` | `iButtonOnOffsetStart`
    `int` | `iButtonOnOffsetType`
    `char` | `iButtonss`
    `char` | `jis2es`
    `char` | `jis2ss`
    `boolean` | `newFlag`
    `boolean` | `usbModeFlag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MSRLayer1Params()`
    `MSRLayer1Params(char ch1ss, char ch1es, char ch2ss, char ch2es, char ch3ss, char ch3es, boolean beepFlag, boolean ibmFlag, boolean checkFormatFlag, boolean usbModeFlag, boolean newFlag, int card1, boolean chard1EnterFlag, int card2, boolean chard2EnterFlag, int card3, boolean chard3EnterFlag, int iButtonOnOffsetStart, int iButtonOnOffsetType, int iButtonOnOffsetLen, boolean iButtonOnBeepFlag, int iButtonOffOffsetStart, int iButtonOffOffsetType, int iButtonOffOffsetLen, boolean iButtonOffBeepFlag, char iButtonss, char iButtones, char jis2ss, char jis2es)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ch1ss

          public char ch1ss

    - #### ch1es

          public char ch1es

    - #### ch2ss

          public char ch2ss

    - #### ch2es

          public char ch2es

    - #### ch3ss

          public char ch3ss

    - #### ch3es

          public char ch3es

    - #### beepFlag

          public boolean beepFlag

    - #### ibmFlag

          public boolean ibmFlag

    - #### checkFormatFlag

          public boolean checkFormatFlag

    - #### usbModeFlag

          public boolean usbModeFlag

    - #### newFlag

          public boolean newFlag

    - #### card1

          public int card1

    - #### chard1EnterFlag

          public boolean chard1EnterFlag

    - #### card2

          public int card2

    - #### chard2EnterFlag

          public boolean chard2EnterFlag

    - #### card3

          public int card3

    - #### chard3EnterFlag

          public boolean chard3EnterFlag

    - #### iButtonOnOffsetStart

          public int iButtonOnOffsetStart

    - #### iButtonOnOffsetType

          public int iButtonOnOffsetType

    - #### iButtonOnOffsetLen

          public int iButtonOnOffsetLen

    - #### iButtonOnBeepFlag

          public boolean iButtonOnBeepFlag

    - #### iButtonOffOffsetStart

          public int iButtonOffOffsetStart

    - #### iButtonOffOffsetType

          public int iButtonOffOffsetType

    - #### iButtonOffOffsetLen

          public int iButtonOffOffsetLen

    - #### iButtonOffBeepFlag

          public boolean iButtonOffBeepFlag

    - #### iButtonss

          public char iButtonss

    - #### iButtones

          public char iButtones

    - #### jis2ss

          public char jis2ss

    - #### jis2es

          public char jis2es

  - ### Constructor Detail

    - #### MSRLayer1Params

          public MSRLayer1Params()

    - #### MSRLayer1Params

          public MSRLayer1Params(char ch1ss,
                                 char ch1es,
                                 char ch2ss,
                                 char ch2es,
                                 char ch3ss,
                                 char ch3es,
                                 boolean beepFlag,
                                 boolean ibmFlag,
                                 boolean checkFormatFlag,
                                 boolean usbModeFlag,
                                 boolean newFlag,
                                 int card1,
                                 boolean chard1EnterFlag,
                                 int card2,
                                 boolean chard2EnterFlag,
                                 int card3,
                                 boolean chard3EnterFlag,
                                 int iButtonOnOffsetStart,
                                 int iButtonOnOffsetType,
                                 int iButtonOnOffsetLen,
                                 boolean iButtonOnBeepFlag,
                                 int iButtonOffOffsetStart,
                                 int iButtonOffOffsetType,
                                 int iButtonOffOffsetLen,
                                 boolean iButtonOffBeepFlag,
                                 char iButtonss,
                                 char iButtones,
                                 char jis2ss,
                                 char jis2es)